Subject: bug#6813: 24.0.50; Inadvertant name capture

From: Chong Yidong <[email-masked]>
Date: Sun, 08 Aug 2010 18:06:53 -0400

John ff <[email-masked]> writes:

> Compiling from bzr repository
> gcc -c  -Demacs -DHAVE_CONFIG_H  -I. -I/jpff/GNU_21/emacs/trunk/src     -I/usr/include/alsa          -MMD -MF deps/sysdep.d  -Wimplicit-function-declaration -Wold-style-definition -Wdeclaration-after-statement -Wno-pointer-sign  -g -O2 -fno-optimize-sibling-calls sysdep.c
> In file included from termhooks.h:310:0,
>                  from sysdep.c:107:
> /usr/include/gpm.h:120:17: error: expected ?:?, ?,?, ?;?, ?}? or ?__attribute__? before ?->? token
> make[1]: *** [sysdep.o] Error 1
> make[1]: Leaving directory `/jpff/GNU_21/emacs/trunk/src'
> make: *** [src] Error 2

Hmm, I can't reproduce this with the latest bzr trunk, with libgpm
1.20.4 and gcc 4.4.3.  Do you still see it happening with the latest
repository?  Maybe you updated at a bad time.